
from piscript.Tex import TexEnv

"""
This specifies 
	p = TEX prefix
	q = TEX postfix
	c = TEX command
Only the prefix is likely to need changing.
One possibiity is to replace the string here by operations that open
a TEX header file and return its contents as the prefix.
Or concatenate it with part of the prefix.

For example:
		f = open("myheader.tex", "r")
		p = f.read()
		f.close()

"""

# p = tex prefix, c = tex command, q = tex postfix
def getTexEnv():
	p = "\\input amssym.def\n"
	p += "\\def\\color#1{\\special{color{#1}}}\n"
	p += "\\def\\uncolor{\\special{uncolor}}\n"
	p += "\\def\\mark{\\special{mark}}\n"
	p += "\\nopagenumbers\n%\n"
	q = "\n%\n\\bye\n"
	c = "tex >& /dev/null" # "tex" for Windows
	return TexEnv(p, q, c)


