#!/usr/bin/python

from piscript.PiModule import *

ps = init(112, 72)

beginpage()
center()
scale(1.25)
rotate(1)

t = texinsert("$$y = \\int x\, dx$$")
translate(-0.5*t.width, 0)

newpath()
moveto(0, 0)
rlineto(t.width, 0)
stroke(0.8,0, 0)


B = t.bbox
# print "t's bounding box =", B

newpath()
box(B[0], B[1], B[2]-B[0], B[3]-B[1] )
stroke(0.8,0,0)

setcolor(0,1,0)
place(t)

setcolor(0,0,1)
embed(t)

gsave()
lrevert()
scale(2)
newpath()
B = t.bbox
moveto(B[0]-2, B[1]-2)
lineto(B[2]+2, B[1]-2)
lineto(B[2]+2, B[3]+2)
lineto(B[0]-2, B[3]+2)
fill(1,1,0)
embed(t)
grestore()



newpath()
circle(0,0,0.75)
fill(1)
stroke()


comment("ending tex label")

"""
setfont("/CMR10", 20)
moveto(20, 20)
show("=")
"""

# print ps

endpage()

flush()

