
from Cmd import *

# A Path is just a command list, but with all SHOWs and EMBEDS converted to paths

class Path:
	# cmd is a command list, like that produced by a Canvas or by BuildChar
	def __init__(self, cmd):
		# print "cmd =", cmd
		path = []
		i = 0
		while i < len(cmd):
			c = cmd[i]
			n = Skip[c]
			if c == SHOW:
				pass
			elif c == EMBED:
				pass
			else:
				for j in range(0, n):
					path.append(cmd[i+j])


			i += n
		self.ops = [ None ]*CmdNo
		self.path = path

		""" self.Command = [
			self.SetLineWidth,
			self.SetLineCap,
			self.SetLineJoin,
			self.SetDash,
			self.SetMiterLimit,
			#
			self.SetColor,
			self.ScaleLineWidth,
			self.Newpath,
			self.Moveto,
			self.Lineto,
			#
			self.Curveto,
			self.Fill,
			self.Stroke,
			self.CFill,
			self.CStroke,
			#
			self.Clip,
			self.SetFont,
			self.Show,
			self.Embed,
			self.Closepath,

			self.Insert,
			self.PSImport,
			self.EPSImport,
			self.GSave,
			self.GRestore,

			self.SHFill,
			self.Comment,
		] """


	def set(self, n, c):
		self.ops[n] = c

	def show(self, s):
		# s is a string we must convert to a path
		print s

	def execute(self):
		# print "executing ... ", self.path
		i = 0
		p = self.path
		while i < len(p):
			c = p[i]
			cmd = self.ops[c]
			if cmd:
				if c == MOVETO or c == LINETO:
					cmd(p[i+1], p[i+2])
				elif c == CURVETO:
					cmd((p[i+1], p[i+2]), (p[i+3], p[i+4]), (p[i+5], p[i+6]))
				elif c == SHOW:
					cmd(p[i+1])
				else:
					cmd()
			i += Skip[c]

	def __str__(self):
		return to_string(self.path)

		
